--
-- PortaTras
--
-- @TMP
-- @31/05/2017

EspelhoEsquerda = {};

EspelhoEsquerda.modDir = g_currentModDirectory;

function EspelhoEsquerda.prerequisitesPresent(specializations)
    return true; 
end;

function EspelhoEsquerda:load(savegame)

    self.AnimacaoEspelhoEsquerda = SpecializationUtil.callSpecializationsFunction("AnimacaoEspelhoEsquerda"); 
    
    self.EspelhoEsquerda = {};
    
    local trigger = Utils.indexToObject( self.components, getXMLString(self.xmlFile, string.format("vehicle.EspelhoEsquerda#trigger")) );
    if trigger == nil then
        print("[Erro: EspelhoEsquerda] index ok, mas o trigger nas esta localizado. Volte a ver a linha "..tostring(i+1).." no seu xml");
    end;
    
    local TS = getXMLInt(self.xmlFile, string.format("vehicle.EspelhoEsquerda#IC_Numero", i));
    
    self.EspelhoEsquerda.TS = TS;
    self.EspelhoEsquerda.trigger = trigger;
    self.EspelhoEsquerda.TMP = false;
        
	addTrigger( trigger, "AnimacaoEspelhoEsquerda", self );
    
end;

function EspelhoEsquerda:delete()
    if self.EspelhoEsquerda.trigger ~= nil then
        removeTrigger(self.EspelhoEsquerda.trigger);
    end;
end;

function EspelhoEsquerda:readStream(streamId, connection)
end;

function EspelhoEsquerda:writeStream(streamId, connection)
end;

function EspelhoEsquerda:mouseEvent(posX, posY, isDown, isUp, button)
end;

function EspelhoEsquerda:keyEvent(unicode, sym, modifier, isDown)
end;

function EspelhoEsquerda:update(dt)
    
    if self.EspelhoEsquerda.TMP then
        g_currentMission:addHelpButtonText( g_i18n:getText("EspelhoEsquerda"), InputBinding.Aberturas );    
        setTextColor(1.0, 1.0, 1.0, 1.0);
        setTextAlignment(RenderText.ALIGN_CENTER);                 
        renderText( 0.53, 0.04, 0.035, g_i18n:getText("EspelhoEsquerda") );
        if InputBinding.hasEvent(InputBinding.Aberturas)then
            local obj = self.interactiveObjects[self.EspelhoEsquerda.TS];
            if obj ~= nil then
                self:doActionOnObject(self.EspelhoEsquerda.TS);
            end;
        end
    end;
end;

function EspelhoEsquerda:onLeave()
end;

function EspelhoEsquerda:draw()
end;

function EspelhoEsquerda:AnimacaoEspelhoEsquerda(triggerId, otherId, onEnter, onLeave, onStay)
    
    if onEnter and g_currentMission.controlPlayer and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
        self.EspelhoEsquerda.TMP = true;
    elseif onLeave and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
        self.EspelhoEsquerda.TMP = false;
    end;
    
end;