--
-- PortaTras
--
-- @TMP
-- @31/05/2017

Porta = {};

Porta.modDir = g_currentModDirectory;

function Porta.prerequisitesPresent(specializations)
    return true; 
end;

function Porta:load(savegame)

    self.AnimacaoPorta = SpecializationUtil.callSpecializationsFunction("AnimacaoPorta"); 
    
    self.Porta = {};
    
    local trigger = Utils.indexToObject( self.components, getXMLString(self.xmlFile, string.format("vehicle.Porta#trigger")) );
    if trigger == nil then
        print("[Erro: Porta] index ok, mas o trigger nas esta localizado. Volte a ver a linha "..tostring(i+1).." no seu xml");
    end;
    
    local TS = getXMLInt(self.xmlFile, string.format("vehicle.Porta#IC_Numero", i));
    
    self.Porta.TS = TS;
    self.Porta.trigger = trigger;
    self.Porta.TMP = false;
        
	addTrigger( trigger, "AnimacaoPorta", self );
    
end;

function Porta:delete()
    if self.Porta.trigger ~= nil then
        removeTrigger(self.Porta.trigger);
    end;
end;

function Porta:readStream(streamId, connection)
end;

function Porta:writeStream(streamId, connection)
end;

function Porta:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Porta:keyEvent(unicode, sym, modifier, isDown)
end;

function Porta:update(dt)
    
    if self.Porta.TMP then
        g_currentMission:addHelpButtonText( g_i18n:getText("Porta"), InputBinding.Aberturas );    
        setTextColor(1.0, 1.0, 1.0, 1.0);
        setTextAlignment(RenderText.ALIGN_CENTER);                 
        renderText( 0.53, 0.04, 0.035, g_i18n:getText("Porta") );
        if InputBinding.hasEvent(InputBinding.Aberturas)then
            local obj = self.interactiveObjects[self.Porta.TS];
            if obj ~= nil then
                self:doActionOnObject(self.Porta.TS);
            end;
        end
    end;
end;

function Porta:onLeave()
end;

function Porta:draw()
end;

function Porta:AnimacaoPorta(triggerId, otherId, onEnter, onLeave, onStay)
    
    if onEnter and g_currentMission.controlPlayer and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
        self.Porta.TMP = true;
    elseif onLeave and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
        self.Porta.TMP = false;
    end;
    
end;